#include <cstdlib>
#include <iostream>
#include <windows.h>
using namespace std;

string szyfrowanie(string, string);

string macierz[36][36] = {
                        {"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"},
            {"B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A"},
            {"C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B"},
            {"D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C"},
            {"E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D"},
            {"F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E"},
            {"G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F"},
            {"H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G"},
            {"I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H"},
            {"J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I"},
            {"K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J"},
            {"L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K"},
            {"M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L"},
            {"N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M"},
            {"O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N"},
            {"P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O"},
            {"Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P"},
            {"R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q"},
            {"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R"},
            {"T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S"},
            {"U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T"},
            {"V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U"},
            {"W","X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V"},
            {"X","Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W"},
            {"Y","Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X"},
            {"Z","0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y"},
            {"0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"},
            {"1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0"},
            {"2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1"},
            {"3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2"},
            {"4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3"},
            {"5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4"},
            {"6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5"},
            {"7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6"},
            {"8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7"},
            {"9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8"}
            };



int main(int argc, char *argv[])
{
    string slowo_szyfrujace, slowo_szyfrowane, slowo_zaszyfrowane;
    int i;

    std::cout<<"Chcialbym uprzejmie powitac w programie kodujacym slowa szyfrem Vigenere'a"<<std::endl;
    Sleep(2000);
    
    std::cout<<std::endl;
    std::cout<<"Podaj slowo, ktore chcialbys (chcialabys? W to nie uwierze...) zakodowac:"<<std::endl;
    std::cin >> slowo_szyfrowane;
    std::cout<<"A teraaaz. Podaj slowo szyfrujace:"<<std::endl;
    std::cin>> slowo_szyfrujace;
    
    while(slowo_szyfrujace.length() <= slowo_szyfrowane.length()) 
                                    slowo_szyfrujace+=slowo_szyfrujace; 
    
    slowo_zaszyfrowane=szyfrowanie(slowo_szyfrujace, slowo_szyfrowane);
	
    system("PAUSE");
    return EXIT_SUCCESS;
}


string szyfrowanie(string szyfrujace, string szyfrowane)
{
       string zaszyfrowane="";
       char literka1, literka2, macierz1, macierz2;
       for(int k=0; k<=szyfrowane.length(); k++) {
           literka1 = szyfrujace[k];
           literka2 = szyfrowane[k];
           for(int i=0; i<=35; i++){
                   for(int j=0;j<=35;j++){
                           macierz1=macierz[i][0][0];
                           macierz2=macierz[0][j][0];
                           if((literka1 == macierz1) && (literka2 == macierz2)){
                                             zaszyfrowane=zaszyfrowane+macierz[i][j];
                                             }
                   }
           }
       }
       std::cout<<"zaszyfrowane: " << zaszyfrowane << std::endl;
       return zaszyfrowane;
       };
